#
# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2013  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#


Name:		qubes-pdf-converter
Version:	2.1.6
Release:	1%{dist}
Summary:	The Qubes service for converting untrusted PDF files into trusted ones

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org

BuildRequires: pandoc 

Requires:	poppler-utils ImageMagick
Requires:	nautilus-python

Source0: %{name}-%{version}.tar.gz

%description
The Qubes service for converting untrusted PDF files into trusted ones.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install-vm DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/lib/qubes/qpdf-convert-client
/usr/lib/qubes/qpdf-convert-server
/usr/lib/qubes/qvm-convert-pdf.gnome
/usr/bin/qvm-convert-pdf
%attr(0644,root,root) /etc/qubes-rpc/qubes.PdfConvert
/usr/share/nautilus-python/extensions/qvm_convert_pdf_nautilus.py*
/usr/share/kde4/services/qvm-convert-pdf.desktop
%{_mandir}/man1/qvm-convert-pdf.1*

%changelog
* Fri Mar 22 2019 Qubes OS Team <qubes-devel@groups.google.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-linux-pdf-converter

* Fri Mar 22 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6279efd
- version 2.1.6

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9b4a994
- travis: update to R4.1

* Sat Mar 02 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c98606a
- rpm: use explicit versioned python macros

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bf974f3
- debian: don't create orig.tar.gz manually

* Tue Oct 09 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1e3c291
- version 2.1.5

* Mon Oct 01 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3cb0e8c
- tests: skip tests on Whonix - the pdf converter is not installed there

* Fri May 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fc39dc3
- version 2.1.4

* Thu Apr 05 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6f4afdb
- travis: update fedora versions

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 9298492
- spec.in: add changelog placeholder

* Sun Jan 28 2018 Frédéric Pierret <frederic.epitre@orange.fr> - b6aa44c
- Create .spec.in and Source0

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1378a7
- version 2.1.3

* Fri Dec 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 95b286d
- Update qrexec-client-vm localtion

* Fri Dec 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c59790d
- travis: run shellcheck

* Fri Dec 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a100432
- Apply shellcheck hints

* Fri Dec 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fd69534
- tests: make them python3 compatible

* Thu Dec 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f2cfda2
- Exit with code 0 on success

* Thu Dec 21 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2298b6
- Use POSIX standard >&2 redirection for stderr

* Tue Sep 26 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c52386c
- travis: drop 3.1, add 4.0 and fc26 builds

* Tue Mar 07 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8abdd09
- travis: add fc25 build

* Tue Mar 07 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b1eec19
- version 2.1.2

* Thu Dec 22 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2c9a629
- Merge remote-tracking branch 'qubesos/pr/1'

* Thu Dec 22 2016 Nicklaus McClendon <nicklaus@kulinacs.com> - a57638f
- Added qvm-convert-pdf manpage

* Wed Dec 21 2016 Nicklaus McClendon <nicklaus@kulinacs.com> - 1d93d06
- Removed .travis.yml debootstrap fix

* Sun Sep 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 968cf3a
- rpm: add missing BR: python-setuptools

* Sun Sep 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5c147f1
- version 2.1.1

* Sun Sep 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 15983a8
- tests: synthesize test.pdf from SVG instead of txt

* Sun Sep 04 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e5753ff
- Add tests

* Sun Aug 21 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - efccb74
- Properly quote filename which are provided by the user

* Sun Aug 21 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - f669780
- version 2.1.0

* Sun Aug 21 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - 7aaf2cb
- Fix spellings

* Sun Aug 21 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - b3d5a9a
- Add README.md

* Sun Aug 21 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - 3c21912
- Introduce compression of the rcvd RGB bitmaps

* Sun Aug 21 2016 Joanna Rutkowska <joanna@invisiblethingslab.com> - 02fa77a
- Improve converted pages merging algorithm, use pdfunite instead of convert.

* Sun Jul 17 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 193d703
- version 2.0.5

* Sun Jul 17 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9f9a184
- Add dolphin menu entry

* Thu Jun 02 2016 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8ed5ab4
- travis: initial version

* Sun Dec 20 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 55f0a64
- version 2.0.4

* Sun Dec 20 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a0cb552
- Report error while saving output files

* Sun Dec 20 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2b0a62b
- Refactor error reporting: show error via zenity when GUI reporting enabled

* Sun Dec 20 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3224c19
- Save output file in the same directory as the source one

* Thu May 14 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ec4422d
- gitignore pkgs

* Fri Mar 27 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 40b1a5f
- version 2.0.3

* Thu Mar 12 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98a3c13
- Merge tag 'jm_bc401bb1'

* Thu Mar 12 2015 Jason Mehring <nrgaway@gmail.com> - bc401bb
- wheezy: Change imagemagick to lowercase for wheezy

* Mon Mar 09 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 511bdb7
- debian: Use DEBIAN_PARSER variable provided by builder

* Sun Mar 01 2015 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9e70be2
- Merge tag 'jm_17d37d9e'

* Fri Feb 27 2015 Jason Mehring <nrgaway@gmail.com> - 17d37d9
- Added .gitignore file to ignore rpm/ and deb/ directories

* Fri Feb 27 2015 Jason Mehring <nrgaway@gmail.com> - 52dd6b8
- debian: Added a Debian package for app-linux-pdf-converter

* Fri Feb 27 2015 Jason Mehring <nrgaway@gmail.com> - e18a416
- Removed nautilus-actions depend and replaced with nautilus-python

* Wed May 07 2014 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1638cfa
- version 2.0.2

